Bug 444817 - Review Request: Spicebird - Collaboration Suite
Review Request: Spicebird - Collaboration Suite
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 15:09 EDT by Steven M. Parrish
Modified: 2009-05-22 12:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.4-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 04:32:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven M. Parrish 2008-04-30 15:09:55 EDT
Spec URL: http://www.mediafire.com/?1n9bzxmytmm
SRPM URL: http://www.mediafire.com/?oo4t12mx9sd
Description: Spicebird is your one platform for many collaboration needs. It provides e-mail, calendaring and instant messaging with intuitive integration and unlimited extensibility.

Thanks

Steven Parrish
Comment 1 Rex Dieter 2008-05-02 09:07:23 EDT
adjusting summary (blocking FE_NEEDSPONSOR is sufficient). :)
Comment 2 Rex Dieter 2008-05-02 09:13:32 EDT
A few quick comments:

1. BuildRoot:      /tmp/spicebird
Use one of the suggested buildroots in the packaging guidelines.

2.  Source0:        spicebird-0.4.source.tar.bz2
This should be a full URL

3.  Release:        0%{?dist}
Start with 1

4.  MOZ_OPT_FLAGS=$(echo 
$RPM_OPT_FLAGS | %{__sed} -e 's/-O2/-Os/' -e 's/-Wall//')
ill-advised.  I'd recommend omitting this.

Also, good idea to try a scratch build in koji (I can help on irc if you don't 
know how to do that).
Comment 3 Rex Dieter 2008-05-02 09:50:28 EDT
koji build --background --scratch dist-f9 spicebird-0.4-0.fc8.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=592747
failed.

looks like you need at least:
BuildRequires: python

Fix that and the (1-4) items above, and then we can try another scratch build.
Comment 4 Steven M. Parrish 2008-05-02 10:43:02 EDT
Got all fixed but #1.  Have to get server up to host file.  

New SPEC file: http://www.mediafire.com/?xn9o5m3x40p
New SRPM: http://www.mediafire.com/?eymdzdfmnmd
Comment 5 Steven M. Parrish 2008-05-02 11:40:04 EDT
http://www.spicebird.com for those who want to check it out
Comment 6 Rex Dieter 2008-05-02 12:21:17 EDT
Doing a local mock build now, seeing this:

c++ -o 
nsProxyEventObject.o -c -I../../../dist/include/system_wrappers -include ../../../config/gcc_hidden.h -D_IMPL_NS_COM -DEXPORT_XPTC_API -DMOZILLA_INTERNAL_API -DOSTYPE=\"Linux2.6.23.15-80\" -DOSARCH=Linux -I/xpcom/threads/ -I./../../reflect/xptinfo/src -I../../../dist/include/string -I../../../dist/include   -I../../../dist/include/xpcom -I../../../dist/include/nspr        -fPIC   -fno-rtti -fno-exceptions -Wall -Wconversion -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wno-long-long -pedantic -fshort-wchar -pthread -pipe  -DNDEBUG -DTRIMMED -O   -DMOZILLA_CLIENT -include ../../../mozilla-config.h -Wp,-MD,.deps/nsProxyEventObject.pp 
nsProxyEventObject.cpp

looks like optflags aren't being honored, so consider that MUSTFIX item 5.

As discussed on irc
item 6: currently bundles it's own copy of mozilla sources and runtime.  Look 
into using system-provided firefox-devel or xulrunner-devel
Comment 7 Steven M. Parrish 2008-05-04 13:52:40 EDT
Now successfully builds for F8 both i386 and x86_64.  F9 version may have to
wait for release 0.7

New Spec file: http://www.mediafire.com/?mzk4zm9xhm0
New SRPM: http://www.mediafire.com/?it2ylen1big
Comment 8 Steven M. Parrish 2008-05-05 15:15:58 EDT
Link to successful Koji build is
http://koji.fedoraproject.org/koji/taskinfo?taskID=594807
Comment 9 Rex Dieter 2008-05-07 15:14:56 EDT
Better, a few more items:
1.  drop
Requires:       desktop-file-utils >= %{desktop_file_utils_version}

2.  don't use /usr/local , should use
/usr/bin/...
/usr/lib/...
instead.

3.  install a .desktop file so the app appears in menus.
Comment 10 Steven M. Parrish 2008-05-07 19:28:29 EDT
1. 2. 3.  Done

New SPEC file: http://www.mediafire.com/?bxtkmcmvdnl
New SRPM file: http://www.mediafire.com/?e2gbmnnjmmj

New build log:
http://koji.fedoraproject.org/koji/getfile?taskID=600103&name=build.log
Comment 11 Rex Dieter 2008-05-20 16:03:50 EDT
ok, pkg looks good, APPROVED.
Comment 12 Steven M. Parrish 2008-05-20 17:09:49 EDT
New Package CVS Request
=======================
Package Name: spicebird
Short Description: mail, calendar and messaging app
Owners: tuxbrewr
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-05-21 14:33:21 EDT
cvs done.
Comment 14 Kevin Fenzi 2008-05-21 14:36:15 EDT
I don't know if all the requirements are there, but would you consider
maintaining this in EPEL as well? either el5 or both el4/el5?
Comment 15 Fedora Update System 2008-05-21 16:32:09 EDT
spicebird-0.4-2.fc8 has been submitted as an update for Fedora 8
Comment 16 Steven M. Parrish 2008-05-21 16:34:52 EDT
I'll check into the requirements for EPEL.  If I can get it to work I'll
maintain it.
Comment 17 Kevin Fenzi 2008-05-21 16:51:16 EDT
Now that I can look at your checked in spec (I couldn't get the mediafire links
to work right from here), some comments: 

- Since you are ExcludeArching ppc and ppc64, please file a bug and block the
ppcexcludearch bug so that the ppc team knows you need help getting this working
on ppc. Look at http://fedoraproject.org/wiki/Packaging/ReviewGuidelines and
look for the excludearch MUST item. 

- You are shipping your own copy of mozilla from 20071122? What sort of security
implications do we have here? Aren't you going to be potentially vulnerable to
tons of old security issues? As mentioned, can't you use xulrunner or
firefox-devel? 
Comment 18 Steven M. Parrish 2008-05-21 17:00:33 EDT
This release relies on patches to the stock mozilla code base 20071122.  The
patches have been sent upstream and the next version .7 due out mid June should
build against xulrunner.
Comment 19 Fedora Update System 2008-05-30 20:21:11 EDT
spicebird-0.4-3.fc8 has been submitted as an update for Fedora 8
Comment 20 Fedora Update System 2008-06-03 03:37:09 EDT
spicebird-0.4-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spicebird'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-4960
Comment 21 Fedora Update System 2008-06-11 19:47:22 EDT
spicebird-0.4-4.fc8 has been submitted as an update for Fedora 8
Comment 22 Fedora Update System 2008-06-13 21:17:48 EDT
spicebird-0.4-5.fc8 has been submitted as an update for Fedora 8
Comment 23 Fedora Update System 2008-06-26 04:32:15 EDT
spicebird-0.4-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Kevin Fenzi 2008-06-26 11:56:11 EDT
Do you plan to build for f9/devel? 

Typically you should build and test in devel, then when stable push those out
for f9/f8. 
Comment 25 Steven M. Parrish 2008-06-26 12:16:56 EDT
The current version .4 is not compatible with gcc4.3,  version .7 due out this
month will be.  Once it is release will have F9/Devel versions.
Comment 26 Kevin Fenzi 2008-06-26 17:26:04 EDT
Just wanted to make sure devel and 9 were not missed. ;) 
Thanks for the clarification. 
Comment 27 Steven M. Parrish 2008-07-05 16:11:41 EDT
Package Change Request
======================
Package Name: spicebird
Please remove the F-8 branch as it is causing polution see bug #453936.  Leave
the F-9 and Devel branches open as the next release due any day may resolve the
issue, however it only supports xulrunner, so there will be no new release for F8

Comment 28 Kevin Fenzi 2008-07-05 16:23:42 EDT
Well, we typically don't remove branches of anything... can you follow the 
http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife
procedure on this for just the F-8 branch? 

(ie, cvs rm the files, add a dead.package with a short description of what
happened, and then mail rel-eng to remove the package from the repos/buildsys)

Let me know if you run into any problems with that... 

Note You need to log in before you can comment on or make changes to this bug.